package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块核查流程与附件关联对象 t_dk_auditflow_record_fj
 * 
 * @author siwei
 * @date 2025-01-22
 */
public class TDkAuditflowRecordFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 核查记录ID */
    @Excel(name = "核查记录ID")
    private String recordId;

    /** 附件ID */
    @Excel(name = "附件ID")
    private String fjId;

    /** 状态 0有效 1删除失效 */
    @Excel(name = "状态 0有效 1删除失效")
    private String state;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setRecordId(String recordId) 
    {
        this.recordId = recordId;
    }

    public String getRecordId() 
    {
        return recordId;
    }
    public void setFjId(String fjId) 
    {
        this.fjId = fjId;
    }

    public String getFjId() 
    {
        return fjId;
    }
    public void setState(String state) 
    {
        this.state = state;
    }

    public String getState() 
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("recordId", getRecordId())
            .append("fjId", getFjId())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("state", getState())
            .toString();
    }
}
